    Program s14cbfe

!     S14CBF Example Program Text
!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: nag_wp, s14cbf
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: a, b, lb
      Integer                          :: i, ifail
!     .. Executable Statements ..
      Write (nout,*) 'S14CBF Example Program Results'
      Write (nout,*)
      Write (nout,*) ' A    B        ln(beta(A,B))'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

      Do
        Read (nin,*,Iostat=i) a, b
        If (i/=0) Exit

        ifail = -1
        lb = s14cbf(a,b,ifail)

        If (ifail==0) Then
          Write (nout,99999) a, b, lb
        End If
      End Do

99999 Format (2F5.2,1P,E17.4)
    End Program s14cbfe
